RubyGems Navigation menu

pg 0.18.4

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.4 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

Versions:

  1. 0.21.0 - June 13, 2017 x64-mingw32 (1.92 MB)
  2. 0.21.0 - June 13, 2017 x86-mingw32 (1.61 MB)
  3. 0.21.0 - June 12, 2017 (209 KB)
  4. 0.20.0 - March 10, 2017 x86-mingw32 (1.58 MB)
  5. 0.20.0 - March 10, 2017 x64-mingw32 (1.88 MB)
  6. 0.18.4 - November 13, 2015 (215 KB)
Show all versions (123 total)

Authors:

  • Michael Granger, Lars Kanis

Owners:

Feef2024584d97a97338b964661ca795Abc11c007a3a284272d261b2dae6376e04cdb622ce0aac272b61f23f373e2abf

SHA 256 checksum:

62f0dce2fd0b3b0f684b2d60e09b3f515e7eb30f8f736bf5ede5b49e5425bb1d

Total downloads 42,589,116

For this version 9,403,294

Gemfile:
= Copy to clipboard Copied!

install:
=

Licenses:

BSD, Ruby, GPL

Required Ruby Version: >= 1.9.3

Links: